package org.bdware.sc.compiler;

import org.bdware.sc.node.AnnotationNode;
import org.bdware.sc.node.ContractNode;
import org.bdware.sc.node.FunctionNode;

public abstract class AnnotationProcessor {
    public void processContract(AnnotationNode anno, ContractNode contractNode) {
        return;
    }

    public void processFunction(
            AnnotationNode anno, ContractNode contractNode, FunctionNode functionNode) {
        return;
    }
}
